++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+	Board Support Package ReadMe for Connect Tech Nvidia Jetson TX2 Carriers
+	BSP Version:	V121
+	Date:		2018/11/09		
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	

================================================================================
			Introduction
================================================================================

	This Board Support Package adds support for Connect Tech Jetson TX2/TX1
	carrier boards to Linux4Tegra. It includes any extra files required
	to use all the features of the carriers.

	Please check the "Product Specific Details" section for what features
	for your board is supported with this BSP release and the "Changes"
	section for the changes made between versions.
	You can check which version of the BSP you have installed by running:

		cat /etc/cti/CTI-L4T.version     

	Check for the Latest Version of the CTI-L4T BSP at:

    http://connecttech.com/resource-center/l4t-board-support-packages/ 
    
    Please check the requirements section for minimum requirements.

    Consult KDB344 at for TX2 hardware compatiblity with your carrier.
    http://connecttech.com/resource-center-category/all-kdb-entries/

    More detailed Release Note can be found here:

    http://connecttech.com/resource-center/cti-l4t-nvidia-jetson-board-support-package-release-notes/


================================================================================
		    Requirements	
================================================================================

    -x86 based host machine running Ubutnu 14.04 or Ubuntu 16.04
    -Jetpack 3.2 installed (from Nvidia Embedded Download Center)
    -TX2 or TX2i module
    -Connect Tech TX2/TX1 Carrier 
    -USB Cable for flashing 

    *L4T version can be found in /etc/nv_tegra_release and will look like this:
    # R28 (release), REVISION: 2.0

================================================================================
			Installation
================================================================================

	1. Before Installing the BSP you will need to install Jetpack 3.2 on the x86
       host system.  

	2. Copy the CTI-L4T-V###.tgz package into <install_dir>/64_TX2/Linux_for_Tegra/:

    3. Extract the BSP:

		tar -xzf CTI-L4T-V###.tgz

	  (replacing ### with your file name)

	3. Change into the CTI-L4T directory:
		
		cd ./CTI-L4T

	4. Run the install script (as root or sudo) to automatically install
	   the BSP files to the correct locations:

	    sudo ./install.sh
        cd ..

    5. The CTI-L4T BSP is now installed on the host system and it should now be
       able to flash the TX2/TX2i.

    6. To flash on the TX2 or TX2i use the following (do not add ".conf"):
        
        CTI Assisted Flashing:
        ./cti-flash.sh

        Manual Flash:
        ./flash.sh <boardname> mmcblk0p1

       TX2 Examples:
        ./flash.sh astro-usb3 mmcblk0p1
        ./flash.sh astro-mpcie mmcblk0p1
        ./flash.sh spacely-imx274-3cam  mmcblk0p1

       TX2i Examples:
        ./flash.sh astro-usb3-tx2i mmcblk0p1
        ./flash.sh astro-mpcie-tx2i mmcblk0p1
        ./flash.sh spacely-imx274-3cam-tx2i  mmcblk0p1


================================================================================
			Flashing TX2/TX2i
================================================================================
   
    1. Connect the TX2/TX2i and Carrier (or Dev-Kit) to the computer via USB
       Following the instructions in the appropriate manual.
    2. Put the system to be flashed into recovery mode, following the 
       instructions in the appropriate manual
    4. Run ./flash.sh <board> mmcblk0p1 from Linux_for_Tegra directory
    5. Once the flashing has completed, the TX2/TX2i will reboot 
    6. To switch between different boards, you will need ot repeat these steps
       There is currently no run time support for switching profiles on the 
       TX2/TX2i

    Consult KDB344 at for TX2/TX2i hardware compatiblity with your carrier.
    http://connecttech.com/resource-center-category/all-kdb-entries/

================================================================================
			Product Specific Details
================================================================================

    TX2i Compatablity Note:
    The following carriers require a hardware ECN to be applied in order to work
    with the TX2i. All new boards sold after April 16th will have the ECN applied 
    Please contact Connect Tech support if you are unsure if the ECN has been
    applied

    -Astro pre-Rev H
    -Spacely Rev D & E
    -Cogswell

--------------------------------------------------------------------------------
				ASG001 (Astro)
--------------------------------------------------------------------------------

	-PWM Fan Support
	-Audio Codec Support
    -USB Support
    -mPCIe Support
    
    NOTE: Currently NO CSI camera support
--------------------------------------------------------------------------------
				ASG002 (Elroy)
--------------------------------------------------------------------------------

	-PWM Fan Support
    -USB Support
    -mPCIe Support
    -Dual OV5693 CSI Camera Support 

--------------------------------------------------------------------------------
				ASG003 (Orbitty)
--------------------------------------------------------------------------------

	-PWM Fan Support
    -USB Support
--------------------------------------------------------------------------------
				ESG501 (Rosie)
--------------------------------------------------------------------------------
	
    -mPCIe Support
    -USB Support
--------------------------------------------------------------------------------
				ESG503 (Rudi)
--------------------------------------------------------------------------------
	
	-USB Support
    -GPIO Support
    -mPCIe Support
    -CAN Support 
    
--------------------------------------------------------------------------------
				ASG008 (Sprocket)
--------------------------------------------------------------------------------

    -USB Support
    -IMX274 CSI Camera Support
    -IMX185 CSI Camera Support

--------------------------------------------------------------------------------
				ASG007 (Cogswell)
--------------------------------------------------------------------------------
    -USB Support
    -PCIe Support 
    -GPIO Support
    -CAN Support 

--------------------------------------------------------------------------------
				ASG006 (Spacely)
--------------------------------------------------------------------------------
    -USB Support
    -PCIe Support 
    -GPIO Support
    -CAN Support
    -3x IMX185 CSI Camera Support 
    -6x IMX185 CSI Camera Support
    -3x IMX274 CSI Camera Support 
    -6x IMX274 CSI Camera Support

    
--------------------------------------------------------------------------------
				VPG003 (Graphite-VPX)
--------------------------------------------------------------------------------
    -USB Support
    -PCIe Support 
    -No CSI Camera Support 


================================================================================
				Changes
================================================================================

	Version 100, May 19, 2017
        -Initial Release for the TX2  
	Version 101, June 01, 2017
        -Fixed issue with some loadable modules eg. uvcvideo  
        -Added Elroy CSI camera support
    Version 102, June 26, 2017
        -Added second UART support to all carriers  
    Version 103, June 27, 2017
        -Changed Rootfs size to 28GB from 14GB
    Version 104, August 16, 2017
        -Added support for L4T 28.1 
        -Added support for Spacely and Cogswell
    Version 105, August 21, 2017
        -Added Astro and Elroy CSI camera Support
    Version 106, September 25, 2017
        -Added Astro RevG+ and Elroy RevF+ profiles 
    Version 107, October 20, 2017
        -Fixed an issue with the Spacely Devicetree not booting on Rev B00 TX2 modules 
        -Added VPG003 support
    Version 108, November 02, 2017
        -IMX274 camera performance improvements 
    Version 109, November 07, 2017
        -Fixed an issue where some monitors would prevent the Jetson from booting if plugged in (28.1)
    Version 110, November 08, 2017  
        -Added Rudi GPIO support 
    Version 111, February 27, 2018
        -Fixes to carrier GPIO states and kernel image
    Version 112, March 15, 2018
        -Added support for USB only based mPCIe cards on the Elroy
    Version 113, March 27, 2018
        -Initial release for Jetpack 3.2 (L4T 28.2)
    Version 114, April 12, 2018
        -Added CAN Support
        -Added 3 and 6 IMX274 camera support for Spacely
        -Added IMX274 support for sprocket
        -Added 2 OV5693 camera support for Elroy
        -Fixed issue with USB based mPCIe cards on Elroy
    Version 115, April 16, 2018
        -Fixed issue with PCIe in Elroy RevF+ profile
        -Added IMX185 support for Sprocket
        -Fixed the "pink" IMX274 CSI camera issue
        -Added TX2i support
    Version 116, April 23, 2018
        -Fixed issue with ASG006 CAN
        -Added CTI assisted flash
        -Added Lumera camera support
    Version 117, May 18, 2018
        -Added fix for incorrect CAN IDs being read on Rudi/Spacely/Cogswell
    Version 118, June 26, 2018
        -Updated for L4T 28.2.1
        -Added Astro Audio Codec Support
        -Added 3x and 6x IMX185 Camera support for Spacely
    Version 119, July 27, 2018
        -Fixed a suspend bug
    Version 120, Sept 21, 2018
        -Fixed an issue where some monitors would prevent the Jetson from booting if plugged in (28.2+)
    Version 121, November 09, 2018
        -Added 720p support for IMX274 cameras
================================================================================
			Contacting Connect Tech
================================================================================
 	If you have any problems, questions or suggestions regarding the
   	Board Support Package and hardware, please feel free to contact
	Connect Tech Inc.

   	Connect Tech can be reached in a variety of ways:

  		TEL:	1 519 836 1291 or 1-800-426-8979 in North America
   		FAX: 	1 519 836 4878
   		Email:
   			    Sales:      sales@connecttech.com

  			Tech Support:   support@connecttech.com

  		Web: 	http://www.connecttech.com

	Be sure to check the support section of our home page for answers to
   	technical questions at http://www.connecttech.com.
   	Also be sure to browse the knowledge data base.
	If you don't find what you are looking for, please contact the
	support department and let us know. We will be glad to help you.
================================================================================
